com.tibbo.aggregate.common.datatable.field

## Class DateFieldFormat

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.FieldFormat<java.util.Date>
  - - com.tibbo.aggregate.common.datatable.field.DateFieldFormat

- All Implemented Interfaces:
    PublicCloneable, java.lang.Cloneable

      public class DateFieldFormat
      extends FieldFormat<java.util.Date>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EDITOR_DATE`
    `static java.lang.String` | `EDITOR_TIME`

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.FieldFormat

      `BOOLEAN_FIELD, COLOR_FIELD, DATA_FIELD, DATATABLE_FIELD, DATE_FIELD, DOUBLE_FIELD, EDITOR_BAR, EDITOR_BYTES, EDITOR_FOREIGN_INSTANCE, EDITOR_FORMAT_STRING, EDITOR_INSTANCE, EDITOR_LIST, FLOAT_FIELD, INTEGER_FIELD, LONG_FIELD, STRING_FIELD, VALIDATOR_EXPRESSION, VALIDATOR_ID, VALIDATOR_LIMITS, VALIDATOR_NON_NULL, VALIDATOR_REGEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateFieldFormat(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `convertValue(java.lang.Object value)`
    `static java.util.Date` | `dateFromString(java.lang.String value)`
    `static java.lang.String` | `dateToString(java.util.Date value)`
    `java.lang.Class` | `getFieldClass()`
    `java.lang.Class` | `getFieldWrappedClass()`
    `java.util.Date` | `getNotNullDefault()`
    `java.util.List<java.lang.String>` | `getSuitableEditors()`
    `char` | `getType()`
    `java.util.Date` | `valueFromString(java.lang.String value, ClassicEncodingSettings settings, boolean validate)`
    `java.lang.String` | `valueToString(java.util.Date value, ClassicEncodingSettings settings)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.FieldFormat

      `addSelectionValue, addSelectionValue, addValidator, checkAndConvertValue, checkAndConvertValue, clone, cloneIfImmutable, create, create, create, create, create, create, create, create, create, create, create, createValidators, encode, encode, encode, equals, extend, extendMessage, getDefaultValue, getDefaultValueCopy, getDescription, getEditor, getEditorOptions, getEncodedValidators, getGroup, getHelp, getIcon, getName, getSelectionValues, getType, getTypeName, getTypes, getTypeSelectionValues, getValidators, getValidatorToTypeMap, hasDescription, hashCode, hasSelectionValue, hasSelectionValues, isAdvanced, isDefaultOverride, isEncrypted, isExtendableSelectionValues, isFieldClass, isHidden, isInlineData, isKeyField, isNotReplicated, isNullable, isNumericField, isNumericField, isOptional, isReadonly, isShallow, isTransferEncode, makeImmutable, removeGroup, setAdvanced, setDefault, setDefaultFromString, setDefaultFromString, setDefaultOverride, setDescription, setEditor, setEditorOptions, setEncrypted, setExtendableSelectionValues, setGroup, setHelp, setHidden, setIcon, setInlineData, setKeyField, setName, setNotReplicated, setNullable, setOptional, setReadonly, setSelectionValues, setSelectionValues, setSelectionValues, setShallow, setTransferEncode, setValidators, toDetailedString, toString, valueFromEncodedString, valueFromEncodedString, valueFromString, valueToEncodedString, valueToEncodedString, valueToString, wrap, wrapSimple`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EDITOR_TIME

          public static final java.lang.String EDITOR_TIME

      See Also:
        Constant Field Values

    - #### EDITOR_DATE

          public static final java.lang.String EDITOR_DATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DateFieldFormat

          public DateFieldFormat(java.lang.String name)

  - ### Method Detail

    - #### getType

          public char getType()

      Specified by:
        `getType` in class `FieldFormat<java.util.Date>`

    - #### getFieldClass

          public java.lang.Class getFieldClass()

      Specified by:
        `getFieldClass` in class `FieldFormat<java.util.Date>`

    - #### getFieldWrappedClass

          public java.lang.Class getFieldWrappedClass()

      Specified by:
        `getFieldWrappedClass` in class `FieldFormat<java.util.Date>`

    - #### getNotNullDefault

          public java.util.Date getNotNullDefault()

      Specified by:
        `getNotNullDefault` in class `FieldFormat<java.util.Date>`

    - #### valueFromString

          public java.util.Date valueFromString(java.lang.String value,
                                                ClassicEncodingSettings settings,
                                                boolean validate)

      Specified by:
        `valueFromString` in class `FieldFormat<java.util.Date>`

    - #### valueToString

          public java.lang.String valueToString(java.util.Date value,
                                                ClassicEncodingSettings settings)

      Specified by:
        `valueToString` in class `FieldFormat<java.util.Date>`

    - #### dateFromString

          public static java.util.Date dateFromString(java.lang.String value)

    - #### dateToString

          public static java.lang.String dateToString(java.util.Date value)

    - #### convertValue

          protected java.lang.Object convertValue(java.lang.Object value)
                                           throws ValidationException

      Overrides:
        `convertValue` in class `FieldFormat<java.util.Date>`
      Throws:
        `ValidationException`

    - #### getSuitableEditors

          public java.util.List<java.lang.String> getSuitableEditors()

      Overrides:
        `getSuitableEditors` in class `FieldFormat<java.util.Date>`